/* **********************************************************
 * Copyright 2003 VMware, Inc.  All rights reserved.
 * -- VMware Confidential
 * **********************************************************/

#ifndef _MACHINE_H_
#define _MACHINE_H_

#define INCLUDE_ALLOW_VMX
#define INCLUDE_ALLOW_VMM
#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vm_basic_types.h"

/* machine dependent definitions */
#ifdef VM_IA64
#include "ia64.h"
#endif

#ifdef VM_I386
#include "x86.h"
#endif

/* machine independent definitions */

#endif // _MACHINE_H_
