/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

/************************************************************
 *
 *   net.h
 *
 *   This file should contain all network global defines.
 *   No vlance/vmxnet/vnet/vmknet specific stuff should be
 *   put here only defines used/usable by all network code.
 *   --gustav
 *
 ************************************************************/

#ifndef _NET_H_
#define _NET_H_

#define INCLUDE_ALLOW_USERLEVEL
#define INCLUDE_ALLOW_MODULE
#define INCLUDE_ALLOW_VMM
#include "includeCheck.h"

#define MAX_ETHERNET_CARDS      4 

#define ETHERNET_MTU         1518

#define ETHER_ADDR_LEN          6

#define ETHER_MAX_QUEUED_PACKET 1600

#endif //_NET_H_
